# $Revision: 1.87 $, $Date: 2012/04/26 09:30:54 $
Summary:	Routing Software Suite
Summary(pl.UTF-8):	Zestaw oprogramowania do routingu
Name:		quagga
Version:	0.99.20.1
Release:	1
License:	GPL v2+
Group:		Networking/Daemons
Source0:	http://www.quagga.net/download/%{name}-%{version}.tar.gz
# Source0-md5:	270ddd464407f8ce6fa8ada8bc1abbd7
Source1:	%{name}.pam
Source2:	%{name}.tmpfiles
Source10:	%{name}-zebra.init
Source11:	%{name}-bgpd.init
Source12:	%{name}-ospf6d.init
Source13:	%{name}-ospfd.init
Source14:	%{name}-ripd.init
Source15:	%{name}-ripngd.init
Source16:	%{name}-isisd.init
Source20:	%{name}-zebra.sysconfig
Source21:	%{name}-bgpd.sysconfig
Source22:	%{name}-ospf6d.sysconfig
Source23:	%{name}-ospfd.sysconfig
Source24:	%{name}-ripd.sysconfig
Source25:	%{name}-ripngd.sysconfig
Source26:	%{name}-isisd.sysconfig
Source30:	%{name}-zebra.logrotate
Source31:	%{name}-bgpd.logrotate
Source32:	%{name}-ospfd.logrotate
Source33:	%{name}-ospf6d.logrotate
Source34:	%{name}-ripd.logrotate
Source35:	%{name}-ripngd.logrotate
Source36:	%{name}-isisd.logrotate
Patch0:		%{name}-info.patch
Patch1:		%{name}-proc.patch
Patch2:		%{name}-vtysh-pam.patch
Patch3:		%{name}-link.patch
Patch4:		%{name}-readline.patch
Patch5:		%{name}-fix-ipremove.patch
Patch6:		%{name}-blackhole.patch
URL:		http://www.quagga.net/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gawk
BuildRequires:	libtool
BuildRequires:	ncurses-devel >= 5.1
BuildRequires:	net-snmp-devel
BuildRequires:	pam-devel
BuildRequires:	perl-base
BuildRequires:	readline-devel >= 4.1
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	texinfo
Requires(post):	/bin/hostname
Requires(post):	/sbin/ldconfig
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Provides:	group(quagga)
Provides:	group(quaggavty)
Provides:	routingdaemon
Provides:	user(quagga)
Obsoletes:	bird
Obsoletes:	gated
Obsoletes:	mrt
Obsoletes:	quagga
Obsoletes:	zebra-xs26
Conflicts:	logrotate < 3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}
%define		_includedir	%{_prefix}/include/%{name}
%define		_localstatedir	%{_var}/run/%{name}

# better fix by proper linking
%define		skip_post_check_so	libzebra.so.* libospf.so.* libospfapiclient.so.*

%description
Quagga is a routing software suite, providing implementations of
OSPFv2, OSPFv3, RIP v1 and v2, RIPv3 and BGPv4 for Unix platforms,
particularly FreeBSD and Linux and also NetBSD, to mention a few.
Quagga is a fork of GNU Zebra which was developed by Kunihiro
Ishiguro. The Quagga tree aims to build a more involved community
around Quagga than the current centralised model of GNU Zebra.

%description -l pl.UTF-8
Quagga to zestaw oprogramowania do routingu, dostarczający
implementacje OSPFv2, OSPFv3, RIP v1 i v2, RIPv3 i BGPv4 dla platform
uniksowych, w szczególności FreeBSD, Linuksa, NetBSD - żeby wymienić
tylko kilka. Quagga to odgałęzienie projektu GNU Zebra, który był
rozwijany przez Kunihiro Ishiguro. Celem drzewa Quagga jest
zgromadzenie bardziej zaangażowanej społeczności wokół projektu, niż w
aktualnie scentralizowanym modelu GNU Zebry.

%package bgpd
Summary:	BGP routing daemon
Summary(pl.UTF-8):	Demon routingu BGP
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Obsoletes:	zebra-xs26-bgpd

%description bgpd
BGP routing daemon. Includes IPv6 support.

%description bgpd -l pl.UTF-8
Demon obsługi protokołu BGP. Obsługuje także IPv6.

%package isisd
Summary:	IS-IS routing daemon
Summary(pl.UTF-8):	Demon routingu IS-IS
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}

%description isisd
IS-IS routing daemon.

%package ospfd
Summary:	OSPF routing daemon
Summary(pl.UTF-8):	Demon routingu OSPF
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}

%description ospfd
OSPF routing daemon.

%description ospfd -l pl.UTF-8
Demon do obsługi protokołu OSPF.

%package ospf6d
Summary:	IPv6 OSPF routing daemon
Summary(pl.UTF-8):	Demon routingu OSPF w sieciach IPv6
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Obsoletes:	zebra-xs26-ospf6d

%description ospf6d
OSPF6 routing daemon for IPv6 networks.

%description ospf6d -l pl.UTF-8
Demon do obsługi protokołu OSPF w sieciach IPv6.

%package ripd
Summary:	RIP routing daemon
Summary(pl.UTF-8):	Demon routingu RIP
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}

%description ripd
RIP routing daemon for zebra.

%description ripd -l pl.UTF-8
Demon obsługi protokołu RIP.

%package ripngd
Summary:	IPv6 RIP routing daemon
Summary(pl.UTF-8):	Demon routingu RIP w sieciach IPv6
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Obsoletes:	zebra-xs26-ripngd

%description ripngd
RIP routing daemon for IPv6 networks.

%description ripngd -l pl.UTF-8
Demon obsługi protokołu RIP w sieciach IPv6.

%package devel
Summary:	Header files for quagga libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek quagga
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for quagga libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek quagga.

%package static
Summary:	Static version of quagga libraries
Summary(pl.UTF-8):	Statyczne wersje bibliotek quagga
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of quagga libraries.

%description static -l pl.UTF-8
Statyczne wersje bibliotek quagga.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%{__autoheader}
%configure \
	--enable-ipv6 \
	--enable-vtysh \
	--enable-netlink \
	--enable-snmp \
	--enable-opaque-lsa \
	--enable-ospfapi=yes \
	--enable-ospfclient=yes \
	--enable-ospf-te \
	--enable-multipath=64 \
	--enable-user=quagga \
	--enable-group=quagga \
	--enable-vty-group=quaggavty \
	--enable-rtadv \
	--enable-isisd \
	--disable-isis-topology \
	--enable-irdp \
	--disable-watchquagga \
	--with-libpam

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{env.d,logrotate.d,pam.d,rc.d/init.d,sysconfig} \
	$RPM_BUILD_ROOT/var/log/{archive,}/%{name} \
	$RPM_BUILD_ROOT%{_var}/run/%{name} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/zebra
install %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

install %{SOURCE10} $RPM_BUILD_ROOT/etc/rc.d/init.d/zebra
install %{SOURCE11} $RPM_BUILD_ROOT/etc/rc.d/init.d/bgpd
install %{SOURCE12} $RPM_BUILD_ROOT/etc/rc.d/init.d/ospf6d
install %{SOURCE13} $RPM_BUILD_ROOT/etc/rc.d/init.d/ospfd
install %{SOURCE14} $RPM_BUILD_ROOT/etc/rc.d/init.d/ripd
install %{SOURCE15} $RPM_BUILD_ROOT/etc/rc.d/init.d/ripngd
install %{SOURCE16} $RPM_BUILD_ROOT/etc/rc.d/init.d/isisd

install %{SOURCE20} $RPM_BUILD_ROOT/etc/sysconfig/zebra
install %{SOURCE21} $RPM_BUILD_ROOT/etc/sysconfig/bgpd
install %{SOURCE22} $RPM_BUILD_ROOT/etc/sysconfig/ospf6d
install %{SOURCE23} $RPM_BUILD_ROOT/etc/sysconfig/ospfd
install %{SOURCE24} $RPM_BUILD_ROOT/etc/sysconfig/ripd
install %{SOURCE25} $RPM_BUILD_ROOT/etc/sysconfig/ripngd
install %{SOURCE26} $RPM_BUILD_ROOT/etc/sysconfig/isisd

install %{SOURCE30} $RPM_BUILD_ROOT/etc/logrotate.d/zebra
install %{SOURCE31} $RPM_BUILD_ROOT/etc/logrotate.d/bgpd
install %{SOURCE32} $RPM_BUILD_ROOT/etc/logrotate.d/ospfd
install %{SOURCE33} $RPM_BUILD_ROOT/etc/logrotate.d/ospf6d
install %{SOURCE34} $RPM_BUILD_ROOT/etc/logrotate.d/ripd
install %{SOURCE35} $RPM_BUILD_ROOT/etc/logrotate.d/ripngd
install %{SOURCE36} $RPM_BUILD_ROOT/etc/logrotate.d/isisd

touch $RPM_BUILD_ROOT/var/log/%{name}/{zebra,bgpd,ospf6d,ospfd,ripd,ripngd,isisd}.log

touch $RPM_BUILD_ROOT%{_sysconfdir}/{vtysh,zebra,bgpd,ospf6d,ospfd,ripd,ripngd,isisd}.conf

echo '#VTYSH_PAGER="less -FX"' > $RPM_BUILD_ROOT/etc/env.d/VTYSH_PAGER

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 127 quagga
%groupadd -g 128 quaggavty
%useradd -u 127 -d /tmp -s /bin/false -c "Quagga User" -g quagga quagga

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/ldconfig
/sbin/chkconfig --add zebra >&2
umask 027
if [ ! -s %{_sysconfdir}/zebra.conf ]; then
	echo "hostname `hostname`" > %{_sysconfdir}/zebra.conf
fi
%service zebra restart "main routing daemon"

%post bgpd
/sbin/chkconfig --add bgpd >&2
if [ ! -s %{_sysconfdir}/bgpd.conf ]; then
	echo "hostname `hostname`" > %{_sysconfdir}/bgpd.conf
fi
%service bgpd restart "bgpd routing daemon"

%post isisd
/sbin/chkconfig --add isisd >&2
if [ ! -s %{_sysconfdir}/isisd.conf ]; then
	echo "hostname `hostname`" > %{_sysconfdir}/isisd.conf
fi
%service isisd restart "IS-IS routing daemon"

%post ospfd
/sbin/chkconfig --add ospfd >&2
if [ ! -s %{_sysconfdir}/ospfd.conf ]; then
	echo "hostname `hostname`" > %{_sysconfdir}/ospfd.conf
fi
%service ospfd restart "ospfd routing daemon"

%post ospf6d
/sbin/chkconfig --add ospf6d >&2
if [ ! -s %{_sysconfdir}/ospf6d.conf ]; then
	echo "hostname `hostname`" > %{_sysconfdir}/ospf6d.conf
fi
%service ospf6d restart "ospf6d routing daemon"

%post ripd
/sbin/chkconfig --add ripd >&2
if [ ! -s %{_sysconfdir}/ripd.conf ]; then
	echo "hostname `hostname`" > %{_sysconfdir}/ripd.conf
fi
%service ripd restart "ripd routing daemon"

%post ripngd
/sbin/chkconfig --add ripngd >&2
if [ ! -s %{_sysconfdir}/ripngd.conf ]; then
	echo "hostname `hostname`" > %{_sysconfdir}/ripngd.conf
fi
%service ripngd restart "ripngd routing daemon"

%preun
if [ "$1" = "0" ]; then
	%service zebra stop
	/sbin/chkconfig --del zebra >&2
fi

%preun bgpd
if [ "$1" = "0" ]; then
	%service bgpd stop
	/sbin/chkconfig --del bgpd >&2
fi

%preun isisd
if [ "$1" = "0" ]; then
	%service isisd stop
	/sbin/chkconfig --del isisd >&2
fi

%preun ospfd
if [ "$1" = "0" ]; then
	%service ospfd stop
	/sbin/chkconfig --del ospfd >&2
fi

%preun ospf6d
if [ "$1" = "0" ]; then
	%service ospf6d stop
	/sbin/chkconfig --del ospf6d >&2
fi

%preun ripd
if [ "$1" = "0" ]; then
	%service ripd stop
	/sbin/chkconfig --del ripd >&2
fi

%preun ripngd
if [ "$1" = "0" ]; then
	%service ripngd stop
	/sbin/chkconfig --del ripngd >&2
fi

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
if [ "$1" = "0" ]; then
	%userremove quagga
	%groupremove quagga
	%groupremove quaggavty
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README REPORTING-BUGS SERVICES TODO
%{_infodir}/*info*
%{_mandir}/man1/*
%attr(755,root,root) %{_bindir}/*
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/VTYSH_PAGER
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/logrotate.d/zebra
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/zebra
%dir %attr(770,root,quagga) %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %attr(660,root,quagga) %{_sysconfdir}/vtysh.conf
%config(noreplace) %verify(not md5 mtime size) %attr(660,root,quagga) %{_sysconfdir}/zebra.conf
/usr/lib/tmpfiles.d/%{name}.conf
%dir %attr(770,root,quagga) /var/run/%{name}
%dir %attr(750,quagga,quagga) /var/log/%{name}
%dir %attr(750,quagga,quagga) /var/log/archive/%{name}
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/lib*.so.0
%doc zebra/*sample*
%{_mandir}/man8/zebra*
%attr(755,root,root) %{_sbindir}/zebra
%attr(754,root,root) /etc/rc.d/init.d/zebra
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/sysconfig/zebra
%ghost /var/log/%{name}/zebra*

%files bgpd
%defattr(644,root,root,755)
%doc bgpd/*sample*
%{_mandir}/man8/bgpd*
%attr(755,root,root) %{_sbindir}/bgpd
%attr(754,root,root) /etc/rc.d/init.d/bgpd
%config(noreplace) %verify(not md5 mtime size) %attr(660,root,quagga) %{_sysconfdir}/bgpd.conf
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/sysconfig/bgpd
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/logrotate.d/bgpd
%ghost /var/log/%{name}/bgpd*

%files isisd
%defattr(644,root,root,755)
%doc isisd/*sample*
%{_mandir}/man8/isisd*
%attr(755,root,root) %{_sbindir}/isisd
%attr(754,root,root) /etc/rc.d/init.d/isisd
%config(noreplace) %verify(not md5 mtime size) %attr(660,root,quagga) %{_sysconfdir}/isisd.conf
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/sysconfig/isisd
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/logrotate.d/isisd
%ghost /var/log/%{name}/isisd*

%files ospfd
%defattr(644,root,root,755)
%doc ospfd/*sample*
%{_mandir}/man8/ospfd*
%attr(755,root,root) %{_sbindir}/ospfd
%attr(755,root,root) %{_sbindir}/ospfclient
%attr(754,root,root) /etc/rc.d/init.d/ospfd
%config(noreplace) %verify(not md5 mtime size) %attr(660,root,quagga) %{_sysconfdir}/ospfd.conf
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/sysconfig/ospfd
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/logrotate.d/ospfd
%ghost /var/log/%{name}/ospfd*

%files ospf6d
%defattr(644,root,root,755)
%doc ospf6d/*sample*
%{_mandir}/man8/ospf6d*
%attr(755,root,root) %{_sbindir}/ospf6d
%attr(754,root,root) /etc/rc.d/init.d/ospf6d
%config(noreplace) %verify(not md5 mtime size) %attr(660,root,quagga) %{_sysconfdir}/ospf6d.conf
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/sysconfig/ospf6d
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/logrotate.d/ospf6d
%ghost /var/log/%{name}/ospf6d*

%files ripd
%defattr(644,root,root,755)
%doc ripd/*sample*
%{_mandir}/man8/ripd*
%attr(755,root,root) %{_sbindir}/ripd
%attr(754,root,root) /etc/rc.d/init.d/ripd
%config(noreplace) %verify(not md5 mtime size) %attr(660,root,quagga) %{_sysconfdir}/ripd.conf
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/sysconfig/ripd
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/logrotate.d/ripd
%ghost /var/log/%{name}/ripd*

%files ripngd
%defattr(644,root,root,755)
%doc ripngd/*sample*
%{_mandir}/man8/ripngd*
%attr(755,root,root) %{_sbindir}/ripngd
%attr(754,root,root) /etc/rc.d/init.d/ripngd
%config(noreplace) %verify(not md5 mtime size) %attr(660,root,quagga) %{_sysconfdir}/ripngd.conf
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/sysconfig/ripngd
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/logrotate.d/ripngd
%ghost /var/log/%{name}/ripngd*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: quagga.spec,v $
Revision 1.87  2012/04/26 09:30:54  zawadaa
- 0.99.20.1 STBR
- fix CVE-2012-0255

Revision 1.86  2012/02/05 11:32:46  baggins
- rel 4
- give logrotate a chance to access log/archive dir

Revision 1.85  2012/01/31 11:54:43  baggins
- release 3

Revision 1.84  2012/01/31 11:32:05  baggins
- added tmpfiles config for systemd

Revision 1.83  2012/01/20 13:39:10  baggins
- rel 2
- logrotate 3.8.0 requires "su" option for non-root owned dirs

Revision 1.82  2011/11/15 14:03:45  paszczus
- removed patch7 (applied upstream)

Revision 1.81  2011/11/15 13:43:40  paszczus
- updated to 0.99.20 (fixes CVE-2011-3323, CVE-2011-3324, CVE-2011-3325, CVE-2011-3326 and CVE-2011-3327)

Revision 1.80  2011/07/30 19:53:00  arekm
- release 2

Revision 1.79  2011/03/23 10:21:54  lisu
- updated to 0.99.18
- add -ospf.patch which fixes pubild

Revision 1.78  2010/12/15 11:55:50  lisu
- restore previous version of required macros

Revision 1.77  2010/12/15 11:50:01  shadzik
- fix build

Revision 1.76  2010/12/15 10:20:36  lisu
- minimal version for rpmbuild(macros) is now 1.583 in order to avoid problems with %__spec_install_post_check_so macro

Revision 1.75  2010/11/23 21:27:11  arekm
- rel 4; skip symbol checking for some broken libs

Revision 1.74  2010/11/23 05:49:14  arekm
- release 3

Revision 1.73  2010/11/15 18:33:11  arekm
- release 2

Revision 1.72  2010/08/20 08:21:34  lisu
- up to 0.99.17
- package lib*.so.0 as ghost

Revision 1.71  2010/06/06 14:48:41  arekm
- release 2

Revision 1.70  2010/04/06 14:35:20  sparky
- BR: gawk (required but not used)

Revision 1.69  2010/03/22 23:05:56  gotar
- typo

Revision 1.68  2010/03/22 23:03:04  gotar
- readded blackholing patch (see http://lists.quagga.net/pipermail/quagga-users/2004-October/002892.html)

Revision 1.67  2010/03/11 09:39:57  lisu
- updated to 0.99.16
- GPL v2+ license

Revision 1.66  2009/11/28 13:44:20  gotar
- paging through less -F requires screen not to be cleared

Revision 1.65  2009/08/31 11:46:31  lisu
- rel 2

Revision 1.64  2009/08/31 11:43:06  lisu
- apply missing -readline.patch
- new patch from quagga website (-fix-ipremove.patch)

Revision 1.63  2009/08/31 10:33:48  lisu
- updated to 0.99.15

Revision 1.62  2009/08/04 09:35:06  lisu
- up to 0.99.14
- ospf_lsdb.patch, ospfclient.patch, largefile.patch, view_commands.patch, save_history.patch applied upstream
- vtysh-pam.patch, link.patch, readline.patch updated

Revision 1.61  2009/07/11 18:17:43  gotar
- looks like link patch against libcap is still required...

Revision 1.60  2009/07/11 18:08:57  gotar
- patch probably applied upstream by AJS (note from Paul Jakma); most of
  other patches applied into upstream git already

Revision 1.59  2009/07/11 17:47:37  gotar
- upgraded to 0.99.13

Revision 1.58  2009/05/09 15:04:57  gotar
- upgraded to 0.99.12

Revision 1.57  2009/05/08 15:51:30  gotar
- added completion patch against readline 6 library:
  as rl_completion_append_character and rl_completion_suppress_append are
  reset to defaults we need to reinit in completion function

Revision 1.56  2009/05/08 12:21:36  gotar
- --enable-nssa switch removed in 0.98.0, NSSA enabled permanently

Revision 1.55  2009/05/03 12:42:33  gotar
- added 32-bit ASN fix, STBR ASAP!

Revision 1.54  2009/04/10 09:25:41  gotar
- fixed sorting

Revision 1.53  2009/04/10 00:33:26  gotar
- added view_commands and save_history patches,
- added env.d/VTYSH_PAGER,
- sorted files and subpackages (moved isisd to right place)

Revision 1.52  2009/02/23 22:08:01  arekm
- release 2

Revision 1.51  2008/10/03 12:32:48  aredridel
- 0.99.11

Revision 1.50  2008/06/23 12:06:29  arekm
- rel 2; call libtoolize

Revision 1.49  2008/06/23 11:36:51  arekm
- up to 0.99.10

Revision 1.48  2008-02-20 20:34:53  glen
- release 2

Revision 1.47  2007-09-15 08:21:45  zawadaa
- up to 0.99.9 [CVE-2007-4826]
- rt-netlink.patch looks useless

Revision 1.46  2007/09/11 12:30:06  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.45  2007/09/11 12:15:57  gotar
- C: logrotate < 3.7.4 due to archiv -> archive transition

Revision 1.44  2007/04/02 17:02:10  baggins
- rel 3

Revision 1.43  2007/04/02 16:55:17  baggins
- s|/var/log/archiv|/var/log/archive|g

Revision 1.42  2007/04/02 12:19:12  baggins
- rel 2

Revision 1.41  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.40  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.39  2006/12/22 19:04:04  arekm
- up to 0.99.6

Revision 1.38  2006/10/08 11:07:50  arekm
- support logs larger than 2GB on some systems

Revision 1.37  2006/09/28 18:32:21  pluto
- updated to 0.99.5 (needs as-needed fix).

Revision 1.36  2006/08/09 20:12:37  arekm
- rel 2

Revision 1.35  2006/07/26 15:50:56  glen
- remove extra unneeded slash

Revision 1.34  2006/05/22 16:33:56  blaass
- up to 0.99.4
- fixed typo

Revision 1.33  2006/04/15 14:06:12  glen
- s/deamon/daemon/

Revision 1.32  2006/03/13 23:27:51  glen
- use %service

Revision 1.31  2006/02/05 10:56:52  arekm
- updated to 0.99.3

Revision 1.30  2005/10/22 20:37:23  arekm
- fix ethernet PtP addresses handling

Revision 1.29  2005/09/10 14:20:08  gotar
- rel++, start interfaces with priority of 13 and routing with 15

Revision 1.28  2005/09/01 11:11:16  gotar
- quagga:quagga for /var/log/quagga - logs are created after dropping privileges

Revision 1.27  2005/06/16 12:07:42  wiget
- fixed typo in Source34 and Source35
- build IS-IS daemon and package it in isisd subpackage
- enable ICMP Router Discovery Protocol
- release 2

Revision 1.26  2005/05/06 09:09:03  kosmo
- updated to 0.99.1
- removed outdated quagga-netlink.patch

Revision 1.25  2005/05/05 18:04:25  qboosh
- sorted verify() flags

Revision 1.24  2005/05/05 13:44:21  kosmo
- added missing configuration files for routing daemons
- addrd quagga-vtysh-pam.patch
- release 2, please STBR for AC

Revision 1.23  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.22  2005/04/01 15:41:48  undefine
- up to 0.98.3
- release 1 (only fixes for 0.98.2, 0.98.2 works, and 0.98.3 works too ;)

Revision 1.21  2005/04/01 00:19:27  undefine
- BR: libtool

Revision 1.20  2005/03/31 00:34:38  undefine
- correct md5

Revision 1.19  2005/02/20 13:12:37  averne
- back to 0.80.2
- fixed to build with gcc4

Revision 1.18  2005/02/20 12:03:00  sardzent
- back to 0.97.4

Revision 1.17  2005/01/12 11:53:27  sardzent
- up to 0.98.0

Revision 1.16  2004/12/30 22:16:58  qboosh
- added comment to last changelog entry to make it useful

Revision 1.15  2004/12/30 22:02:43  djrzulf
- fresh meat, need to be tested,
[0.97.4]

Revision 1.14  2004/11/11 18:04:12  marcus
- updated to 0.97.3 (security ospfd fix)
- fixed URL

Revision 1.13  2004/10/26 20:30:53  qboosh
- restored rpmbuild(macros) BR needed for {user,group}remove support
- unified ldconfig usage, separated static libs

Revision 1.12  2004/10/26 07:35:02  aredridel
- obsoletes zebra
- needs user quagga -- FIXME

Revision 1.11  2004/10/26 07:29:31  aredridel
- add ldconfig
- add libs

Revision 1.10  2004/10/26 06:34:34  aredridel
- up to 0.97.2

Revision 1.9  2004/09/16 00:06:17  ankry
- %%userremove/%%groupremove support
- unification

Revision 1.8  2004/07/13 11:18:46  ankry
- fixed UID check, spaces -> tabs, rel. 3

Revision 1.7  2004/07/11 22:38:32  averne
- /etc/quagga should be writable for group quagga
- rel 2.

Revision 1.6  2004/07/11 17:26:51  averne
- updated to 0.96.5
- rel 1.

Revision 1.5  2004/03/24 16:50:55  arekm
- use /var/log/quagga
- pid files in /var/run/quagga (was broken)
- add all required users/group in pre scrips (+remove in postun) - quagga/quaggavty
- fix logrotate and init scripts
- rel 2

Revision 1.4  2004/03/24 16:19:25  arekm
- added devel subpackage

Revision 1.3  2003/12/01 13:00:13  qboosh
- ported info,proc,netlink patches from zebra
- --enable-ipv6 to fix some compilation errors... but still fails (on vtysh now)

Revision 1.2  2003/11/04 20:34:39  qboosh
- pl for base

Revision 1.1  2003/11/03 21:24:06  arekm
- started but no time to finish it
